Combo Remapper - use score text and symbols to switch articulations
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Validation error -4 on AudioUnitRender?

Discussion in 'Logic Pro X' started by hamoon1, Sep 18, 2014.

  1. hamoon1

    hamoon1 New Member

    I'm seeing a validation error (-4, from AudioUnitRender) when validating my (auwrapper-wrapped VST) AudioUnit plug-in in Logic Pro X (10.0.7) under OS X 10.9, but NOT in the same Logic version under 10.8(.5).

    I don't see any information anywhere about what -4 might mean, or where it's coming from. Has anyone seen this error before, and know what i might mean? Has something changed when running in OS X 10.9 regarding rendering?

    Strangely, our OLD software works fine in Logic, even though it was built in OS X 10.7 in Xcode 3.2.6, whereas the NEW software is built in 10.8.5 using Xcode 4.4.1.

  3. Markdvc

    Markdvc Administrator Staff Member

    I assume you are a plugin developer? If so, it may be more sensible to contact Apple directly about this. Of course, they may recommend that instead of wrapping, you develop an AU version of your plugin…..

    kind regards


Share This Page